package com.dayou.service;
import com.dayou.dto.AssetsSelectDTO;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.Assets;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.AssetsVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 资产业务订单表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface IAssetsService extends IService<Assets> {

        /**
         * 条件查询资产任务列表
         * @param page 分页条件
         * @param assetsSelectDTO 查询条件
         * @return Page<AssetsVO>
         */
        Page<AssetsVO> selectPage(Page page, AssetsSelectDTO assetsSelectDTO);

        Assets detail(Long id);

        /**
         * 新增资产业务订单
         * @param assets 资产订单信息
         * @return Boolean
         */
        WorkNodeCommit add(Assets assets);

        Boolean update(Assets assets);

        Boolean delete(Long id);

}
